function()
    local output = ""
    local friends_on = select(2, GetNumFriends())
    local my_zone = GetMapNameByID(GetCurrentMapAreaID())
    for i = 1, friends_on do
        local name, _, _, zone, _, status, note = GetFriendInfo(i)
        local override_color = ""
        if note ~= nil and note:match("+") and status ~= "<Busy>" and status ~= "<Away>" then
            override_color = "|cFFE541F4"
        elseif note ~= nil and note:match("-") and status ~= "<Busy>" and status ~= "<Away>" then
            override_color = "|cFF42D9F4"
        elseif note ~= nil and note:match(";") and status ~= "<Busy>" and status ~= "<Away>" then
            override_color = "|cFF2020D8"
        elseif note ~= nil and note:match("_") and status ~= "<Busy>" and status ~= "<Away>" then
            override_color = "|cFF7E1357"
        else
            override_color = ""
        end
        local zone_color = "|cFF787878"
        local status_color = "|cFF00FF00"
        if zone == my_zone then zone_color = "|cFF007800" end
        if status == "<Busy>" then status_color = "|cFFFF0000" end
        if status == "<Away>" then status_color = "|cFFF4C842" end
        if name ~= nil then
            output = output .. status_color .. override_color .. name .. "|cFFFFFFFF" .. " - " .. zone_color .. zone .. "\n"
        end
    end
    return output
end
